/**
  Programa para leer la eleccin de un ciudadano en unas elecciones
  Version 3.0. El voto para el congreso y el senado se guardan en una estructura con 2 variables de tipo entera
**/

#include <iostream>

#define N_PARTIDOS 11
#define MAX_NOMBRE_PARTIDO 15
#define N_SENADORES 5

// vector asociacion de texto representando nombre de partido con indices del vector. De 0 a 10 
// const char *partido[N_PARTIDOS] = {"PP", "PSOE", "IU", "CiU", "PNV", "UPyD", "BNG", "CC-NC-PNC", "ERC-RI", "Voto en blanco", "Voto nulo"};
const char partido[N_PARTIDOS][MAX_NOMBRE_PARTIDO] = {"PP", "PSOE", "IU", "CiU", "PNV", "UPyD", "BNG", "CC-NC-PNC", "ERC-RI", "Voto en blanco", "Voto nulo"};
// vector asociacion de texto representando nombre de senador con indices del vector. De 0 a 4 
const char *senadores[N_SENADORES] = {"Antonio Alarco (PP)", "Aurelio Abreu (PSOE)", "Ricardo Melchor (CC)", "Voto nulo", "No Vota"};

// tipo estructura que permite almacenar 2 enteros. El primero se llama congreso y el segundo senado
struct voto {
  int congreso;
  int senado;     
};

using namespace std;

int main(void) {
struct voto v; // variable de tipo estructura para guardar los votos de cada ciudadano
int conf; // variable para confirmar
int i;

  do{
    // Presentar en pantalla los partidos a votar para el congreso
    cout << "Partidos que se presentan:" << endl;
    for (i = 0; i < N_PARTIDOS; i++)
      cout << i+1 << ".- " << partido[i] << endl;
    // Solicitar indice entero asociado a cada partido
    do {
      cout << "Introduzca su voto para el congreso (1 - " << N_PARTIDOS << "): ";
      cin >> v.congreso;
    } while (v.congreso < 1 || v.congreso > N_PARTIDOS);

    // Presentar en pantalla los senadores a votar para el senado
    cout << "Senadores que se presentan:" << endl;
    for (i = 0; i < N_SENADORES; i++)
      cout << i+1 << ".- " << senadores[i] << endl;
    // Solicitar indice entero asociado a cada senador
    do {
      std::cout << "Introduzca su voto para el senado (1 - " << N_SENADORES << "): ";
      std::cin >> v.senado;
    } while (v.senado < 1 || v.senado > N_SENADORES);
    cout << "El ciudadano ha votado: " << partido[v.congreso-1] << " al congreso. " << senadores[v.senado-1] << " al senado\n";

    cout << "Introduce 0 para confirmar: ";
    cin >> conf;
  } while (conf != 0);
} /* main */
